6.0.0-git
2019-04-25

[#11304] Multiple email fields are not working in Firefox
Summary Multiple email fields are not working in Firefox
Queue Turba
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2470 days ago)
Due
Updated 2012-08-29 (2430 days ago)
Assigned
Resolved 2012-08-07 (2452 days ago)
Milestone
Patch No

History
2012-08-29 12:46:42 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit b28ae3733f80da358d7ae2365c1817de246253ab
Author: Jan Schneider <jan@horde.org>
Date:   Tue Aug 7 18:53:16 2012 +0200

     Set HTML 5 "multiple" attribute on email fields if necessary (Bug #11304).

  .../Core/lib/Horde/Core/Ui/VarRenderer/Html.php    |    3 ++-
  framework/Core/package.xml                         |    6 +++---
  framework/Form/lib/Horde/Form/Type.php             |    5 +++++
  framework/Form/package.xml                         |    4 ++--
  4 files changed, 12 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/b28ae3733f80da358d7ae2365c1817de246253ab
2012-08-11 16:37:07 Thomas Jarosch Comment #3 Reply to this comment
All good now! Thanks.

2012-08-07 16:53:35 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-08-07 16:53:30 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit b28ae3733f80da358d7ae2365c1817de246253ab
Author: Jan Schneider <jan@horde.org>
Date:   Tue Aug 7 18:53:16 2012 +0200

     Set HTML 5 "multiple" attribute on email fields if necessary (Bug #11304).

  .../Core/lib/Horde/Core/Ui/VarRenderer/Html.php    |    3 ++-
  framework/Core/package.xml                         |    6 +++---
  framework/Form/lib/Horde/Form/Type.php             |    5 +++++
  framework/Form/package.xml                         |    4 ++--
  4 files changed, 12 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/b28ae3733f80da358d7ae2365c1817de246253ab
2012-07-20 15:44:27 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Multiple email fields are not working in Firefox
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

The "emails" field is now a "input type=email" HTML5 field.

Firefox does email address validation and denies multiple, comma separated
email addresses like

"email1@domain.com,email2@domain.com".

It will block this entry with "Please enter an email address".

Reading the spec for the "email" HTML5 form element, there seems to be 
a "multiple" attribute.
We could try this one or revert back to a normal text input field.

Cheers,
Thomas

Saved Queries